## NAME

v.in.tig.basic - Create GRASS vector map from TIGER files
(GRASS Vector Program)

## SYNOPSIS

v.in.tig.basic v.in.tig.basic help
v.in.tig.basic [-pqt] t1=TIGER.1 t2=TIGER.2 out=name [zone=utm_zone]
  [spheroid=spheroid] [tlid=file]

  ## DESCRIPTION

  This program creates a GRASS vector map in the current mapset (UTM or Lat-Long locations only) with labelled line segments constructed from the end points (nodes) from the Type 1 TIGER file records and shape points from the Type 2 TIGER file. The nodes and shape points are matched by the TIGER record number (TLID field). In the attribute (label) file which is built (in the dig_att directory), the lines are given the "area boundary" type and line labels are the record numbers (9 digits!).

  The Type 1 file may contain the records for a complete county, a subset for a county, or those from more than one county concatenated. The Type 2 file must contain all those records corresponding to the Type 1 records, but may contain extra records which will not be used. Typically, a subset of Type 1 records is used and a full county Type 2 file is used.

  The program should function well independent of the termination character(s) at the end of each line in the input files. <LF>, <CR>, neither, one, or both are acceptable. Different distribution media apparently have different record delimiting characters.

  The -p flag should not normally be used. It causes the program to build a disk file pointer table for all of the Type 2 records each time the program runs, rather than using the table built previously. Detection, naming and verification of the pointer file are automatic. It is created in the "tmp" space in the user's location.

  ## OPTIONS

  Flags:
  -p
    Create new disk file for Type 2 pointers every time
  -q
    Perform functions quietly
  -t
    Build topology (dig_plus) file when done (can't be quiet)

  Parameters

  t1=name
    TIGER Type 1 path/file name
  t2=name
    TIGER Type 2 path/file name
  out=name
    Name of vector map to create
  zone=value
    UTM zone number; default is location zone
    options: 1-60
    default: (current zone)
  spheroid=keyword
    Spheroid for LL to UTM conversion; see m.gc.ll
    default: clark66
  tlid=name
    Path/file for list of TLID numbers to process from TIGER.1 File
    default: nonE

  ## THE tlid PARAMETER

  The file specified by the tlid parameter may be of any size. Any number at the beginning of a line will be interpreted to be the TLID of a Type 1 record which is to be included in the output map. Other information on these lines is ignored, as are lines which do not begin with a number. If fewer than 5000 numbers are in this file, it is only read once and execution speed is greatly enhanced. Normally, a full Type 1 file will be specified by the t1 parameter when a tlid file is used.

  ## BUGS/RESTRICTIONS

  Caution: This program will overwrite an existing vector map of the same name without warning.

  The Type 2 input file must be on a device capable of "seeking," i.e., not a tape drive. CD-ROM is OK (but program will run much faster from disk files).

  Input lines in a tlid file are limited to 300 characters in length. If the system can allocate space to store all the TLID numbers read from this file, it is only read once and execution speed is greatly enhanced; on a typical system, space for more than 10,000 numbers can be allocated.

  ## SEE ALSO

  v.apply.census will generate polygon labels for Census tracts, block groups, etc., from STF1 or PL94-171 files.
  m.in.stf1.tape and/or unix text tools can be used to extract/concatenate useful subsets of TIGER Type 1 records prior to running v.in.tig.basic.

  ## AUTHOR

  Dr. James Hinthorne, GIS Laboratory, Central Washington University

  Last changed: $Date: 2002/01/25 05:45:35 $